com.tibbo.aggregate.common.protocol

## Class AggreGateDevice

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AggreGateDevice

- Direct Known Subclasses:
    AggreGateNetworkDevice

      public abstract class AggreGateDevice
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_COMMAND_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateDevice(java.lang.String id, java.lang.String type)`
    `AggreGateDevice(java.lang.String id, java.lang.String type, java.lang.String name, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getCommandTimeout()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getInfo()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isDisabled()`
    `void` | `setCommandTimeout(long commandTimeout)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COMMAND_TIMEOUT

          public static final long DEFAULT_COMMAND_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AggreGateDevice

          public AggreGateDevice(java.lang.String id,
                                 java.lang.String type)

    - #### AggreGateDevice

          public AggreGateDevice(java.lang.String id,
                                 java.lang.String type,
                                 java.lang.String name,
                                 java.lang.String description)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getType

          public java.lang.String getType()

    - #### getId

          public java.lang.String getId()

    - #### getDescription

          public java.lang.String getDescription()

    - #### isDisabled

          public boolean isDisabled()

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getCommandTimeout

          public long getCommandTimeout()

    - #### setCommandTimeout

          public void setCommandTimeout(long commandTimeout)

    - #### getInfo

          public java.lang.String getInfo()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`